//
//  N5SplitViewController.h
//  N5SplitViewController
//
//  Created by Julien Vignali on 15.12.11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef enum {
    N5SplitViewControllerTopVisible,
    N5SplitViewControllerBottomVisible,
} N5SplitViewControllerVisibility;

@interface N5SplitViewController : UIViewController

@property (strong, nonatomic) UIViewController* topViewController;
@property (strong, nonatomic) UIViewController* bottomViewController;
@property (nonatomic, getter = currentVisibility) N5SplitViewControllerVisibility visibility;

-(id)initWithTopViewController:(UIViewController*)topViewController 
          bottomViewController:(UIViewController*)bottomViewController
                    visibility:(N5SplitViewControllerVisibility)visibility;


@end
